# Messaging_PolicyValueC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/IOP_IORC.h"`
`#include "tao/Policy_ForwardC.h"`

Include dependency graph for Messaging_PolicyValueC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Messaging
namespace | TAO

## Classes

struct | Messaging::PolicyValue
class | Messaging::PolicyValueSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _MESSAGING_POLICYVALUESEQ_CH_

## Typedefs

typedef TAO_Var_Var_T< PolicyValue > | PolicyValue_var
typedef TAO_Out_T< PolicyValue, PolicyValue_var > | PolicyValue_out
typedef TAO_VarSeq_Var_T< PolicyValueSeq, PolicyValue > | PolicyValueSeq_var
typedef TAO_Seq_Out_T< PolicyValueSeq, PolicyValueSeq_var, PolicyValue > | PolicyValueSeq_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValue &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const Messaging::PolicyValueSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, Messaging::PolicyValueSeq &)

## Define Documentation

#define _MESSAGING_POLICYVALUESEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< PolicyValue, PolicyValue_var > Messaging::PolicyValue_out

typedef TAO_Var_Var_T< PolicyValue > Messaging::PolicyValue_var

typedef TAO_Seq_Out_T< PolicyValueSeq, PolicyValueSeq_var, PolicyValue > Messaging::PolicyValueSeq_out

typedef TAO_VarSeq_Var_T< PolicyValueSeq, PolicyValue > Messaging::PolicyValueSeq_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Messaging::PolicyValueSeq & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const Messaging::PolicyValue & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Messaging::PolicyValueSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | Messaging::PolicyValue & |
| ) |